Skip to main content
Get profile deployment
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

unique Id of the deployment

Response

A successful response.

Profile Deployment is a proto that should be used by user-agents to create/update deployments

name
string
required

User defined name of the deployment, unique across the enterprise. Once deployment is created, name can’t be changed.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
projectId
string
required

project id

appProfileInfo
object
required

app profile id

targetAssetGroup
object
required

asset group info

id
string
read-only

unique Id of the deployment.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
title
string

User defined title of the deployment. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
description
string

Detailed description of the deployment.

Maximum string length: 256
status
string